<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php

	if (!defined("IGNX")) { die("Attempt..."); }

// add items
if (isset($_POST["add_news"]) && trim($_POST["img_add_gen"]) != "")
{
	
	$campoid = "itemID";
	$arc = $_FILES;
	$in = $_POST;
	
	// largo de textos
	if (isset($in["texto"])) { $texto_total = strlen($in["texto"]); } else { $texto_total = 0; }
	if (isset($in["texto_1"])) { $texto1_total = strlen($in["texto_1"]); } else { $texto1_total = 0; }
	if (isset($in["texto_2"])) { $texto2_total = strlen($in["texto_2"]); } else { $texto2_total = 0; }
	if (isset($in["texto_3"])) { $texto3_total = strlen($in["texto_3"]); } else { $texto3_total = 0; }
	if (isset($in["texto_4"])) { $texto4_total = strlen($in["texto_4"]); } else { $texto4_total = 0; }
	if (isset($in["texto_5"])) { $texto5_total = strlen($in["texto_5"]); } else { $texto5_total = 0; }
	
	include("./paqs/scimg/securimage.php");
	
	$tpl_scimg = new Securimage();
	$tpl_scimg_valid = $tpl_scimg->check($_POST['img_add_gen']);

	if($tpl_scimg_valid == true && ($texto_total < CONFIG_48 && $texto1_total < CONFIG_48 && $texto2_total < CONFIG_48 && $texto3_total < CONFIG_48 && $texto4_total < CONFIG_48 && $texto5_total < CONFIG_48)) {
		
		
		if (isset($arc["foto"]) && $arc["foto"]["name"])
		{
			
			// asignar el ID
			$qd = myquery("SELECT * FROM ".ITEMS." ORDER BY ".$campoid." DESC LIMIT 0, 1","[pro_addnt=1]");
			$row_inid = myfetch($qd);
			if ($row_inid[$campoid])
			{
				$inid = $row_inid[$campoid]+1;
			} else {
				$inid = 1;
			}

		
			// extension + caracteres max 100
			if (preg_match('/\.(jpg|jpeg|png|gif)$/i', $arc["foto"]["name"]) && strlen($arc["foto"]["name"]) <= 100 && $arc["foto"]["size"] < 1048576)
			{
						
				$arc["foto"]["name"] = ereg_replace ('[^\.a-zA-Z0-9]', '', $arc["foto"]["name"]);				
				$archivo_nom = $arc["foto"]["name"];
				$subir = move_uploaded_file($arc["foto"]["tmp_name"], "./ftps/".$archivo_nom);
				if (!$subir) //falla FTP
				{
					Redir (RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'ad'.IGUAL.'1'.AMPER.'msj'.IGUAL.'1');
						
				} else {
					
					$ruta_or_foto ="./ftps/";
					$ruta_sal_foto ="./fotos/";
					// jpg|jpeg|png|gif
					generar_imagenes($ruta_or_foto,$ruta_sal_foto,$archivo_nom,CONFIG_36,800,$inid,"cab");
					$foto = "FC_".$inid."_".$archivo_nom;
					unlink("./ftps/".$archivo_nom);
					
				}
							
			} else { // no extension no cantidad de caracteres
						
				Redir (RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'ad'.IGUAL.'1'.AMPER.'msj'.IGUAL.'2');
						
			}
					
		} else {
	
		$foto = "";
	
		}

		$catID = isset($in["catID"]) ? $in["catID"] : "";
		$titulo = isset($in["titulo"]) ? str_replace("\r\n"," ",entrada_sin_tags_html($in["titulo"])) : ""; 
		$titulo_1 = isset($in["titulo_1"]) ? str_replace("\r\n"," ",entrada_sin_tags_html($in["titulo_1"])) : ""; 
		$titulo_2 = isset($in["titulo_2"]) ? str_replace("\r\n"," ",entrada_sin_tags_html($in["titulo_2"])) : ""; 
		$titulo_3 = isset($in["titulo_3"]) ? str_replace("\r\n"," ",entrada_sin_tags_html($in["titulo_3"])) : ""; 
		$titulo_4 = isset($in["titulo_4"]) ? str_replace("\r\n"," ",entrada_sin_tags_html($in["titulo_4"])) : ""; 
		$titulo_5 = isset($in["titulo_5"]) ? str_replace("\r\n"," ",entrada_sin_tags_html($in["titulo_5"])) : ""; 
		
		if ($foto != "")
		{
			$pie_foto = isset($in["pie_foto"]) ? str_replace("\r\n","<br />",entrada_sin_tags_html($in["pie_foto"])) : ""; 
			$pie_foto_1 = isset($in["pie_foto_1"]) ? str_replace("\r\n","<br />",entrada_sin_tags_html($in["pie_foto_1"])) : ""; 
			$pie_foto_2 = isset($in["pie_foto_2"]) ? str_replace("\r\n","<br />",entrada_sin_tags_html($in["pie_foto_2"])) : ""; 
			$pie_foto_3 = isset($in["pie_foto_3"]) ? str_replace("\r\n","<br />",entrada_sin_tags_html($in["pie_foto_3"])) : ""; 
			$pie_foto_4 = isset($in["pie_foto_4"]) ? str_replace("\r\n","<br />",entrada_sin_tags_html($in["pie_foto_4"])) : ""; 
			$pie_foto_5 = isset($in["pie_foto_5"]) ? str_replace("\r\n","<br />",entrada_sin_tags_html($in["pie_foto_5"])) : "";
		
		} else {
		
			$pie_foto = ""; 
			$pie_foto_1 = "";
			$pie_foto_2 = "";
			$pie_foto_3 = "";
			$pie_foto_4 = "";
			$pie_foto_5 = "";
		
		}
		
		$texto = isset($in["texto"]) ? entrada_gral_html($in["texto"]) : ""; 
		$texto_1 = isset($in["texto_1"]) ? entrada_gral_html($in["texto_1"]) : ""; 
		$texto_2 = isset($in["texto_2"]) ? entrada_gral_html($in["texto_2"]) : ""; 
		$texto_3 = isset($in["texto_3"]) ? entrada_gral_html($in["texto_3"]) : ""; 
		$texto_4 = isset($in["texto_4"]) ? entrada_gral_html($in["texto_4"]) : ""; 
		$texto_5 = isset($in["texto_5"]) ? entrada_gral_html($in["texto_5"]) : "";

		$enabled = 0;
		$fecha = crear_fecha_hoy();
		
		// etiquetas
		if (isset($in["etiquetas"]))
		{
			$etiquetas = str_replace("\r\n","",entrada_sin_tags_html($in["etiquetas"]));
			if ($etiquetas != "")
			{
				if (substr($etiquetas,0,1) != ",") { $etiquetas = ",".$etiquetas; }
				if (substr($etiquetas,-1) != ",") { $etiquetas = $etiquetas.","; }
			}
		
		} else {
		
			$etiquetas = "";
		}
		// etiquetas nivel 2
		if (isset($in["n5_ciudad"]))
		{
			$n5_ciudad = str_replace("\r\n","",entrada_sin_tags_html($in["n5_ciudad"]));
			if ($n5_ciudad != "")
			{
				if (substr($n5_ciudad,0,1) != ",") { $n5_ciudad = ",".$n5_ciudad; }
				if (substr($n5_ciudad,-1) != ",") { $n5_ciudad = $n5_ciudad.","; }
			}
		
		} else {
		
			$n5_ciudad = "";
		}
		// etiquetas nivel 3
		if (isset($in["n5_pais"]))
		{
			$n5_pais = str_replace("\r\n","",entrada_sin_tags_html($in["n5_pais"]));
			if ($n5_pais != "")
			{
				if (substr($n5_pais,0,1) != ",") { $n5_pais = ",".$n5_pais; }
				if (substr($n5_pais,-1) != ",") { $n5_pais = $n5_pais.","; }
			}
		
		} else {
		
			$n5_pais = "";
		}
		

		// INFO //
		$n5_fecha_pub = datetime_gmt();
		$n5_fecha_up = datetime_gmt();
		$n5_email = isset($in["n5_email"]) ? $in["n5_email"] : "";
		// ajuste de url
		if (isset($in["n5_url"]))
		{
			if (entrada_sin_tags_html(trim($in["n5_url"])) == "")
			{ 
				$n5_url = "http://"; 
			} else {					
				$n5_url = str_replace("http://","",$in["n5_url"]);
				$n5_url = "http://".$n5_url;
			}
		
		} else {
		
			$n5_url = "";
		}
		// fecha adicional 1
		if (isset($in["n5_fecha_ini"]))
		{
			if ($in["n5_fecha_ini"] != "")
			{
				$n5_fecha_ini_ini = explode("/",$in["n5_fecha_ini"]);
				$n5_fecha_ini = crear_fecha_segundos ($n5_fecha_ini_ini[1],$n5_fecha_ini_ini[0],$n5_fecha_ini_ini[2]);
			} else {
				$n5_fecha_ini = "";
			}
		} else {
		
			$n5_fecha_ini = "";
		}
		// fecha adicional 2
		if (isset($in["n5_fecha_fin"]))
		{		
			if ($in["n5_fecha_fin"] != "")
			{
				$n5_fecha_fin_ini = explode("/",$in["n5_fecha_fin"]);	
				$n5_fecha_fin = crear_fecha_segundos ($n5_fecha_fin_ini[1],$n5_fecha_fin_ini[0],$n5_fecha_fin_ini[2]);
			} else {
				$n5_fecha_fin = "";
			}		
		} else {
		
			$n5_fecha_fin = "";
		}
		// IP
		$n5_dir_ip = $_SERVER["REMOTE_ADDR"];
		// FIN INFO //

		// redactor
		$redactor = isset($in["redactor"]) ? entrada_sin_tags_html($in["redactor"]) : "";	

		// campos nuevos
		$item_tipo = 1;
		$orden_bloques = "1,2,3,4,5,6,7,8";		
		// fin campos nuevos

		$qs = "INSERT INTO ".ITEMS." (item_tipo,catID,titulo,titulo_1,titulo_2,titulo_3,titulo_4,titulo_5,pie_foto,pie_foto_1,pie_foto_2,pie_foto_3,pie_foto_4,pie_foto_5,texto,texto_1,texto_2,texto_3,texto_4,texto_5,foto,fecha,enabled,n5_fecha_pub,n5_fecha_up,n5_email,n5_url,n5_fecha_ini,n5_fecha_fin,n5_ciudad,n5_pais,n5_dir_ip,etiquetas,orden_bloques,redactor) VALUES ('".$item_tipo."','".$catID."','".$titulo."','".$titulo_1."','".$titulo_2."','".$titulo_3."','".$titulo_4."','".$titulo_5."','".$pie_foto."','".$pie_foto_1."','".$pie_foto_2."','".$pie_foto_3."','".$pie_foto_4."','".$pie_foto_5."','".$texto."','".$texto_1."','".$texto_2."','".$texto_3."','".$texto_4."','".$texto_5."','".$foto."','".$fecha."','".$enabled."','".$n5_fecha_pub."','".$n5_fecha_up."','".$n5_email."','".$n5_url."','".$n5_fecha_ini."','".$n5_fecha_fin."','".$n5_ciudad."','".$n5_pais."','".$n5_dir_ip."','".$etiquetas."','".$orden_bloques."','".$redactor."')";
		myquery($qs,"[pro_addnt=2]");
		$inid = myinsertid();

		// envio de email
		$cabecera = "Content-Type: text/plain; charset=ISO-8859-15"."\r\n";
		$cabecera .= "Content-Transfer-Encoding: quoted-printable"."\r\n";
		$cabecera .= "Content-Disposition: inline"."\r\n";	
		$cabecera .= "From: ".CONFIG_12.""."\r\n";
		$mensaje = LEN_113.": ".$inid."\n\n";
		@mail(CONFIG_12,LEN_113.": ".$inid,$mensaje,$cabecera);
	
		Redir (RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'ad'.IGUAL.'1'.AMPER.'msj'.IGUAL.'3');
	
	} else {

		// imagen de verificacion incorrecta o texto total mayor que CONFIG_48
		Redir (RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'ad'.IGUAL.'1'.AMPER.'msj'.IGUAL.'5');

	}
	
}

// add trad
if (isset($_POST["add_trad"]) && trim($_POST["img_add_gen"]) != "")
{
	
	$campoid = "tradID";
	$arc = $_FILES;
	$in = $_POST;
	
	// largo de traduccion
	if (isset($in["traduccion"])) { $trad_total = strlen($in["traduccion"]); } else { $trad_total = 0; }
	
	include("./paqs/scimg/securimage.php");
	
	$tpl_scimg = new Securimage();
	$tpl_scimg_valid = $tpl_scimg->check($_POST['img_add_gen']);

	if($tpl_scimg_valid == true && ($trad_total < CONFIG_48)) {

	
		$itemID = isset($in["itemID"]) ? $in["itemID"] : "";
		$idioma = isset($in["idioma"]) ? entrada_sin_tags_html($in["idioma"]) : ""; 
		$traduccion = isset($in["traduccion"]) ? entrada_gral_html($in["traduccion"]) : ""; 
		$enabled = 0;
		$fecha = crear_fecha_hoy();

		$qs = "INSERT INTO ".TRADUCCIONES." (itemID,idioma,traduccion,fecha,enabled) VALUES ('".$itemID."','".$idioma."','".$traduccion."','".$fecha."','".$enabled."')";
		myquery($qs,"[pro_addnt=3]");
		$inid = myinsertid();
		
		// envio de email
		$cabecera = "Content-Type: text/plain; charset=ISO-8859-15"."\r\n";
		$cabecera .= "Content-Transfer-Encoding: quoted-printable"."\r\n";
		$cabecera .= "Content-Disposition: inline"."\r\n";	
		$cabecera .= "From: ".CONFIG_12.""."\r\n";
		$mensaje = LEN_114.": ".$inid."\n\n";
		@mail(CONFIG_12,LEN_114.": ".$inid,$mensaje,$cabecera);
	
		Redir (RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'adt'.IGUAL.'1'.AMPER.'msj'.IGUAL.'4');
	
	} else {

		// imagen de verificacion incorrecta o traduccion total mayor que CONFIG_48
		Redir (RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'adt'.IGUAL.'1'.AMPER.'msj'.IGUAL.'5');
	
	}
	
}
	
?>